Loading...
Searching...
No Matches
pappso::FilterMorphoMax Class Reference

transform the trace into its maximum over a window More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMax:

## Public Member Functions

| FilterMorphoMax (std::size_t half_window_size)
| FilterMorphoMax (const FilterMorphoMax &other)
virtual | ~FilterMorphoMax ()
FilterMorphoMax & | operator= (const FilterMorphoMax &other)
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
virtual QString | name () const override
virtual QString | toString () const override
Public Member Functions inherited from pappso::FilterNameInterface
virtual | ~FilterNameInterface ()
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Protected Member Functions

double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
Protected Member Functions inherited from pappso::FilterMorphoWindowBase
void | buildFilterFromString (const QString &strBuildParams) override
| build this filter using a string

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

transform the trace into its maximum over a window

Definition at line 89 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMax() [1/2]

FilterMorphoMax::FilterMorphoMax | ( | std::size_t | half_window_size | ) |

Definition at line 157 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase::FilterMorphoWindowBase
FilterMorphoWindowBase(std::size_t half_window_size)
Definition filtermorpho.cpp:36

References pappso::FilterMorphoWindowBase::FilterMorphoWindowBase().

Referenced by FilterMorphoMax(), and operator=().

## FilterMorphoMax() [2/2]

FilterMorphoMax::FilterMorphoMax | ( | const FilterMorphoMax & | other | ) |

Definition at line 161 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition filtermorpho.h:66

References FilterMorphoMax(), pappso::FilterMorphoWindowBase::FilterMorphoWindowBase(), and pappso::FilterMorphoWindowBase::m_halfWindowSize.

## ~FilterMorphoMax()

virtual pappso::FilterMorphoMax::~FilterMorphoMax | ( |  | ) |

inline virtual

Definition at line 95 of file filtermorpho.h.

{};

## Member Function Documentation

## getWindowValue()

double FilterMorphoMax::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end ) const

override protected virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 175 of file filtermorpho.cpp.

{
// qDebug() << __FILE__ << " " << __FUNCTION__ << " " << __LINE__;
return maxYDataPoint(begin, end)->y;
}
pappso::maxYDataPoint
std::vector< DataPoint >::const_iterator maxYDataPoint(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
Definition trace.cpp:169

References pappso::maxYDataPoint().

## operator=()

FilterMorphoMax & FilterMorphoMax::operator= | ( | const FilterMorphoMax & | other | ) |

Definition at line 167 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References FilterMorphoMax(), and pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/filters/filtermorpho.h
- pappsomspp/core/processing/filters/filtermorpho.cpp